## global global |

## Synopsis

    #define             EMPTY_STRING
    Boolean             string_equals                       (const char *string_1,
                                                             const char *string_2);
    Boolean             string_not_equals                   (const char *string_1,
                                                             const char *string_2);
    Boolean             string_empty                        (const char *string_1);
    Boolean             string_starts_with                  (const char *string_1,
                                                             const char *string_2);
    Boolean             string_ends_with                    (const char *string_1,
                                                             const char *string_2);
    void                string_trim                         (char *string_1);
    void *              checked_malloc                      (const size_t size);

## Description

## Details

### EMPTY_STRING

    #define EMPTY_STRING ""

### string_equals ()

    Boolean             string_equals                       (const char *string_1,
                                                             const char *string_2);

`string_1` : |
`string_2` : |
Returns : |

### string_not_equals ()

    Boolean             string_not_equals                   (const char *string_1,
                                                             const char *string_2);

`string_1` : |
`string_2` : |
Returns : |

### string_empty ()

    Boolean             string_empty                        (const char *string_1);

`string_1` : |
Returns : |

### string_starts_with ()

    Boolean             string_starts_with                  (const char *string_1,
                                                             const char *string_2);

`string_1` : |
`string_2` : |
Returns : |

### string_ends_with ()

    Boolean             string_ends_with                    (const char *string_1,
                                                             const char *string_2);

`string_1` : |
`string_2` : |
Returns : |

### string_trim ()

    void                string_trim                         (char *string_1);

`string_1` : |

### checked_malloc ()

    void *              checked_malloc                      (const size_t size);

`size` : |
Returns : |